apiVersion: v1
kind: Secret
metadata:
  name: {{ template "s3.name" . }}
  labels:
    app: {{ template "s3.name" . }}
    chart: {{ .Chart.Name }}-{{ .Chart.Version }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
type: Opaque
stringData:
  secretKey: {{ .Values.config.secretKey | quote }}
